LYXCLIENT(1)

NAME
lyxclient - send commands to a running LyX editor

SYNOPSIS
lyxclient [ options ]

DESCRIPTION
When LyX starts, it creates a unique, per-process local socket in the temporary directory through which commands can be sent. That is, it can act like a server, accepting connections from clients. lyxclient can be used as such client. lyxclient will take care of all connection and communication protocol details, leaving you (or your app) free to concentrate on what you want to send to LyX.

SERVER IDENTIFICATION OPTIONS
lyxclient must first identify to which server (i.e. a running LyX) commands are to be sent. The following options are used to specify the server.

-p pid
    specify the pid of the running LyX process to which lyxclient should send commands.

-a socket_address
    specify explicitly which socket special file should be used. These special files are located inside lyx_tmpdir<lyx_pid><hash>, in the temporary directory. There is one per running LyX process.

-t tmp_dir
    if LyX is configured to use a temporary directory other than /tmp, you must inform lyxclient of this.

If neither -a nor -p are invoked, lyxclient will search for sockets in /tmp (or tmp_dir if the -t option is used) and use the first socket to which it can connect. This is safe if you are running only one LyX process at any one time.

COMMAND MODE OPTIONS
lyxclient can send commands to LyX from both the command-line and from standard input. LyX commands documentation can be found in LyX Help menu.

-c command
    send a single command, print LyX information to standard output and exit. LYXCMD prefix is needed in the given command.

-g file line
    this is simply a wrapper for the command 'server-goto-file-row file line'. It is used by the DVI previewer to elicit inverse DVI search.

If neither -c nor -g are used, lyxclient will regard any standard input as commands to be sent to LyX, printing LyX's responses to standard output. Commands are separated by newlines (the '\n' character). To finish communication and terminate the lyxclient process, send the command 'BYE:'.

MISCELANEOUS OPTIONS

-n name
    when starting communication, lyxclient sends an idenfifier string to LyX. By default, this string is "PPID>PID", where PPID is lyxclient's parent pid and pid is lyxclient's pid. Use this option to override this default.

-h  print the lyxclient version and summarize its usage.

ENVIRONMENT

LYXSOCKET
    can be used to specify the socket special file that must be used. LyX sets this variable. It is overridden by the -a option.

SEE ALSO
lyx(1), xdvi(1), LFUNs.lyx.

AUTHORS
João Luis M. Assirati <assirati@fma.if.usp.br> is the principal author of lyxclient.